<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="../css/style.css" />
    <!-- Font awesome -->
    <script
      src="https://kit.fontawesome.com/8f4c8f6237.js"
      crossorigin="anonymous"
    ></script>
    <title>Level 5</title>
  </head>
  <div id="actualLvl">5</div>
  <body class="bckLvl lvl5">
    <div id="deathCounterContainer">
      <div class="keyboard">
        <div class="touches">
          <div class="touche q"></div>
          <div class="touche up">W</div>
          <div class="touche e"></div>
        </div>
        <div class="touches">
          <div class="touche left">A</div>
          <div class="touche down">S</div>
          <div class="touche right">D</div>
        </div>
        <div class="touches">
          <div class="touche space">SPACE</div>
        </div>
      </div>

<!--      <label class="difficulty">-->
<!--        <input type="checkbox" />-->
<!--        <img src="../assets/buoy.png" alt="" />-->
<!--        <span class="checkmark"></span>-->
<!--      </label>-->
      <button class="ui-sound-button" onclick="onClickAllAudioMute()">
        <i id="allAudio" class="fas fa-volume-up"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSFXMute()">
        <i id="fxAudio" class="fas fa-headphones-alt"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSongMute()">
        <i id="musicAudio" class="fas fa-music"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickBackToMenu()">
        <img id="backToMenuButton" src="../assets/mapbutton.png" />
      </button>
      <div class="deathAndRecord">
        <div>
          <span id="deathCounter">0</span>
          <img src="../assets/skull.png" id="deathCounterImg" />
        </div>
        <p>Best : <span id="record">0</span> death(s)</p>
      </div>
    </div>

    <div id="camera"></div>

    <div id="playerSword" class="moveR">
      <div id="hitboxSword"></div>
      <div id="swordSlash"></div>
    </div>

    <div class="level">
      <progress id="health" value="300" min="0" max="300"></progress>

      <img id="kraken" src="../assets/boss/kraken-purple_hat.png" />
      <img id="krakenKO" src="../assets/boss/kraken-purple_hat_dead.png" />

      <div class="parallax2 lvl5"></div>
      <div class="parallax1 lvl5"></div>
      <div class="indexingLvl5">
        <!-- Tentacles eating lvl -->
        <img
          id="tentacleRight"
          class="tentacle"
          src="../assets/boss/tentacle right.gif"
        />
        <img
          id="tentacleLeft"
          class="tentacle"
          src="../assets/boss/tentacle right.gif"
        />
        <div class="relative back wall">
          <div class="block wall"></div>
          <div class="added startwall">
            <div class="wlt b1 h1"></div>
            <div class="wl b1 h5"></div>
          </div>
        </div>
        <div>
          <img
            id="startImg"
            class="decorProps"
            src="../assets/items/start.png"
          />
          <div id="start"></div>
          <div class="block sand b1"></div>
        </div>

        <div class="block sand b3 relative"></div>

        <!--    Tentacle 1    -->
        <div class="hole b1 relative">
          <div class="tentacle_killer">
            <div class="trap tentacle_killer_hitbox"></div>
          </div>
        </div>

        <div class="block sand b3"></div>

        <!--    Tentacle 2    -->
        <div class="hole b1 relative">
          <div class="tentacle_killer">
            <div class="trap tentacle_killer_hitbox"></div>
          </div>
        </div>
        <div class="hMax">
          <div class="relative hMax">
            <div class="rockFalling">
              <img class="rockFall trap" src="../assets/boss/rock_fall.png" />
            </div>
          </div>
        </div>
        <div class="block sand b3"></div>

        <!--    Tentacle 3    -->
        <div class="hole b1 relative">
          <div class="tentacle_killer">
            <div class="trap tentacle_killer_hitbox"></div>
          </div>
        </div>

        <div class="block sand b2"></div>
        <div class="hMax">
          <div class="relative hMax">
            <div class="rockFalling">
              <img class="rockFall trap" src="../assets/boss/rock_fall.png" />
            </div>
          </div>
        </div>
        <div class="block sand b1"></div>

        <!--    Tentacle 4    -->
        <div class="hole b1 relative">
          <div class="tentacle_killer">
            <div class="trap tentacle_killer_hitbox"></div>
          </div>
        </div>

        <!--    Middle platform    -->
        <div class="block sand b4"></div>
        <div class="hMax">
          <div class="relative hMax">
            <div class="rockFalling">
              <img class="rockFall trap" src="../assets/boss/rock_fall.png" />
            </div>
          </div>
        </div>
        <div class="block sand b4"></div>
        <div class="hMax">
          <div class="relative hMax">
            <div class="rockFalling">
              <img class="rockFall trap" src="../assets/boss/rock_fall.png" />
            </div>
          </div>
        </div>
        <div class="block sand b4"></div>

        <!--    Tentacle 5    -->
        <div class="hole b1 relative">
          <div class="tentacle_killer">
            <div class="trap tentacle_killer_hitbox"></div>
          </div>
        </div>
        <div class="block sand b1"></div>
        <div class="hMax">
          <div class="relative hMax">
            <div class="rockFalling">
              <img class="rockFall trap" src="../assets/boss/rock_fall.png" />
            </div>
          </div>
        </div>
        <div class="block sand b2"></div>

        <!--    Tentacle 6    -->
        <div class="hole b1 relative">
          <div class="tentacle_killer">
            <div class="trap tentacle_killer_hitbox"></div>
          </div>
        </div>

        <div class="block sand b3"></div>

        <!--    Tentacle 7    -->
        <div class="hole b1 relative">
          <div class="tentacle_killer">
            <div class="trap tentacle_killer_hitbox"></div>
          </div>
        </div>
        <div class="hMax">
          <div class="relative hMax">
            <div class="rockFalling">
              <img class="rockFall trap" src="../assets/boss/rock_fall.png" />
            </div>
          </div>
        </div>
        <div class="block sand b3"></div>

        <!--    Tentacle 8    -->
        <div class="hole b1 relative">
          <div class="tentacle_killer">
            <div class="trap tentacle_killer_hitbox"></div>
          </div>
        </div>
        <div class="block sand b3"></div>

        <div class="hole b10"></div>

        <div id="waveTrap" class="trap wave"></div>

        <div class="plageWater"></div>
        <div class="trap fall"></div>
      </div>
    </div>
  </body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/js-cookie@rc/dist/js.cookie.min.js"></script>
  <script src="../js/boss.js"></script>
</html>
